@charset "UTF-8";

@font-face {
    font-family: idroid;
    src: url(fontes/idroid.otf) format("opentype");
    font-weight: normal;
}

:root {
    --cor01: #c5ebd6;
    --cor02: #83e1ad;
    --cor03: #3ddc84;
    --cor04: #2fa866;
    --cor05: #1a5c37;
    --cor06: #063d1e;

    --fonte-padrao: Arial, Verdana, Helvetica, sans-serif;
    --fonte-destaque: "Bebas Neue", cursive;
    --fonte-idroid: idroid, cursive;
}
/* Estilos globais. o root é uma pseudoclasse. Tudo que for definido nele, será aplicado a todos os elementos da página. */
* {
    margin: 0%;
    padding: 0%;
}
html {
    scroll-behavior: smooth;
}
header {
    background-image:linear-gradient(to bottom, var(--cor04), var(--cor06));
    padding: 35px;
    text-align: center;
    min-height: 150px;
    box-shadow: 0px 07px 09px rgba(0, 0, 0, 0.466);
}
nav {
    text-align: left;
    padding: 10px;
    padding-bottom: 0%;
}
nav > a {
    color: var(--cor01);
    padding: 10px;
    text-decoration: none;
    font-weight: bold;
    border-radius: 5px;
    transition-duration: 0.3s;
}
nav > a:hover {
    color: var(--cor05);
    background-color: var(--cor03);
}
h1 {
    font-family:"Bebas Neue", sans-serif;
    font-size: 3em;
    font-weight: 200;
    font-style: normal;
    color: white;
    text-shadow: 2px 2px 0px rgba(0, 0, 0, 0.418);
}
.sub {
    font-family: "Bebas Neue", sans-serif;
    font-weight: normal;
    color: #ffffff;
    margin-top: 15px;
    margin-bottom: 25px;
    font-style: normal;
    text-shadow: 2px 2px 0px rgba(0, 0, 0, 0.418);
    text-align: center;
}
body {
    background-color: var(--cor01);
}
a.externo::after {
    content: '📎';
}
main {
    background-color: #ffffff;
    padding: 20px;
    margin: auto;
    margin-bottom: 20px;
    min-width: 300px;
    max-width: 1000px;
    box-shadow: 0px 0px 10px #0000008f;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}
main img {
    width: 100%;
    padding: 10px;
}
main img.pequena{
    max-width: 350px;
    margin: auto;
    display: block;
}
main a {
    text-decoration: none;
    color: var(--cor04);
    
    font-weight: bold;
}
main a:hover {
    text-decoration: dashed underline;
}
h2 {
    font-family: idroid;
    font-size: 27px;
    text-shadow: 2px 2px 0px rgba(0, 0, 0, 0.418);
}
h3 {
    font-family: idroid;
    font-size: 24px;
    color: var(--cor05);
    background-image: linear-gradient(to right, var(--cor03), transparent);
    text-indent: 5px;
}
h4 {
    font-size: 1.3em;
    font-weight: bolder;
    color: var(--cor02);
    background-color: var(--cor05);
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    text-indent: 5px;
    padding-top: 10px;
    padding-bottom: 5px;
}
main p {
    margin: 15px;
    text-align: justify;
    text-indent: 25px;
    line-height: 1.6em;
    font-size: 1.1em;
}
main strong {
    color: var(--cor05);
}
div.video {
    background-color: var(--cor05);
    margin: 0px -20px 25px -20px;
    padding: 20px;
    padding-bottom: 35%;
    position: relative;
}
div.video iframe {
    position: absolute;
    top: 10%;
    left: 22%;
    width: 55%;
    height: 80%;
}
aside {
    background-color: var(--cor02);
    border-radius: 10px;
    padding-bottom: 10px;
    box-shadow: 0px 0px 10px #0000008f;
}
aside > ul {
    list-style-position: inside;
    padding-left: 10px;
    columns: 2;
    list-style-type: '\✔️\00A0\00A0';
}

/* O \00A0 é um espaço em branco, para dar um espaçamento entre o símbolo e o texto. O \ é para escapar o símbolo, para que ele seja exibido corretamente. */

aside > ul > li {
    margin: 5px;
}
aside a {
    color: var(--cor05);
    font-weight: bold;
}
aside strong {
    color: black;
}
footer {
    color: white;
    background-color: var(--cor06);
    text-align: center;
    font-size: 0.8em;
    padding: 5px;
}
footer a {
    color: var(--cor03);
    font-weight: bold;
    text-decoration: none;
}
footer a:hover {
    color: var(--cor04);
    text-decoration: underline;
}
